Debian Bug report logs - #663056
[kfreebsd-*] test failure: context-test

version graph

Package: src:libsoup2.4; Maintainer for src:libsoup2.4 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Thu, 8 Mar 2012 09:03:29 UTC

Severity: important

Found in versions libsoup2.4/2.38.0-1, libsoup2.4/2.37.90-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Thu, 08 Mar 2012 09:03:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 08 Mar 2012 09:03:38 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Thu, 08 Mar 2012 10:01:12 +0100
Source: libsoup2.4
Version: 2.37.90-1
Severity: serious
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

The libsoup test-suite fails on kfreebsd-* the context-test [1]

It would be great if porters could have a look.

[1] https://buildd.debian.org/status/fetch.php?pkg=libsoup2.4&arch=kfreebsd-i386&ver=2.37.90-1&stamp=1330937702


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Tue, 20 Mar 2012 18:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 20 Mar 2012 18:21:10 GMT) Full text and rfc822 format available.

Message #10 received at 663056@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 663056@bugs.debian.org, debian-bsd@lists.debian.org
Subject: libsoup2.4 [Re: Bug#663056: Acknowledgement (FTBFS on kfreebsd-*: test-suite FAIL: context-test)]
Date: Tue, 20 Mar 2012 19:19:57 +0100
[Message part 1 (text/plain, inline)]
Hi porters,

since I haven't received a reply so for since my last request for help,
I'll try again.

libsoup2.4 in experimental currently ftbfs on kfreebsd-* due to errors
in the test suite. libsoup is an important package in the GNOME stack
(e.g. webkit depends on it), so the current build failure blocks a lot
of packages.

So it is important, that libsoup is fixed soon, as we plan to move those
package to unstable by the end of the month resp. when GNOME 3.4 is
released.


Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Tue, 20 Mar 2012 19:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 20 Mar 2012 19:54:05 GMT) Full text and rfc822 format available.

Message #15 received at 663056@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Michael Biebl <biebl@debian.org>
Cc: 663056@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: libsoup2.4: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Tue, 20 Mar 2012 19:51:55 +0000
Hi,

I've run the failing tests with -d option on kfreebsd-i386 to try to get
some more detail:

> $ ./context-test -d
> 
> Test 1: blocking the main thread does not block other thread
> (Using SOUP_SESSION_ASYNC_CONTEXT)
>   timeout!
> 
> Test 2: blocking the main thread does not block other thread
> (Using g_main_context_push_thread_default())
>   send_message
>   timeout!
> 
> Test 3: a session with its own context is independent of the main loop.
> (Using SOUP_SESSION_ASYNC_CONTEXT)
>   send_message
>   send_message
>   queue_message
>   queue_message
> 
> Test 4: a session with its own context is independent of the main loop.
> (Using g_main_context_push_thread_default())
>   send_message
> 
> Test 5: Using multiple async contexts
> 
> context-test: 2 error(s).

Those tests run for a total of 1.412s real.

And since 2.37.91-1 this test also fails (on the buildd, the
queue->head==NULL assertion failure is seen;  but the G_IS_OBJECT
assertion failure below seems specific to my system) :

> $ ./connection-test -d
> 
> Invalid Content-Length framing tests
>   Content-Length larger than message body length
>   Server claims 'Connection: close' but doesn't
> 
> Unexpected timing out of persistent connections
>   Async session
>     First message
>     Second message
>   Sync session
>     First message
>     Second message
> 
> Exceeding max-conns
>   Async session
>   Sync session
> 
> Non-persistent connections are closed immediately
>   Async session
>   Sync session
> leaked SoupSession!
> 
> (connection-test:19509): GLib-GObject-CRITICAL **: g_object_remove_weak_pointer: assertion `G_IS_OBJECT (object)' failed
> 
> Non-idempotent methods are always sent on new connections
> 
> (connection-test:19509): libsoup-CRITICAL **: soup_message_queue_destroy: assertion `queue->head == NULL' failed
>   Async session
>   Sync session
> 
> connection-test: 3 error(s).

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Tue, 20 Mar 2012 20:48:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 20 Mar 2012 20:48:21 GMT) Full text and rfc822 format available.

Message #20 received at 663056@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Michael Biebl <biebl@debian.org>
Cc: 663056@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: libsoup2.4: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Tue, 20 Mar 2012 20:38:04 +0000
Hi again,

I've narrowed down the context-test failures to g_cond_wait_until [1]
returning false without actually waiting until the requested time.

Test case with extra debug info:

>         time = g_get_monotonic_time () + 5 * G_TIME_SPAN_SECOND;
> debug_printf (1, "  g_cond_wait_until %lu\n", time);
>         if (g_cond_wait_until (&test1_cond, &test1_mutex, time))
>                 g_thread_join (thread);
>         else {
> time = g_get_monotonic_time ();
> debug_printf (1, "  returned false at %lu\n", time);
>                 debug_printf (1, "  timeout!\n");
>                 g_thread_unref (thread);
>                 errors++;
>         }

Result:

> Test 1: blocking the main thread does not block other thread
> (Using SOUP_SESSION_ASYNC_CONTEXT)
>   g_cond_wait_until 2863968386
>   returned false at 2858968977
>   timeout!


Under gdb we hit a familiar-looking issue that I'm sure we've seen
before on kfreebsd:

> Starting program: /tmp/tmp.iqfzT2Ty1x/libsoup2.4-2.37.92/tests/.libs/lt-context-test -d
> 
> Program received signal ?, Unknown signal.
> 0x28638e67 in __pthread_sigsuspend () from /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0
> (gdb) bt
> #0  0x28638e67 in __pthread_sigsuspend () from /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0
> #1  0x28637e28 in __pthread_wait_for_restart_signal () from /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0
> #2  0x28638d92 in pthread_create@@GLIBC_2.3 () from /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0
> #3  0x2848e67b in g_system_thread_new (thread_func=0x28472290 <g_thread_proxy>, stack_size=<optimized out>, error=0xbfbfe54c)
>     at /build/buildd-glib2.0_2.31.22-1-kfreebsd-i386-ziBjzT/glib2.0-2.31.22/./glib/gthread-posix.c:1116
> #4  0x284726b4 in g_thread_new_internal (name=0x804b400 "server_thread", proxy=0x28472290 <g_thread_proxy>, func=0x804aa20 <run_server_thread>, data=0x8066010, stack_size=0, 
>     error=0xbfbfe54c) at /build/buildd-glib2.0_2.31.22-1-kfreebsd-i386-ziBjzT/glib2.0-2.31.22/./glib/gthread.c:886
> #5  0x284727ce in g_thread_new (name=0x804b400 "server_thread", func=0x804aa20 <run_server_thread>, data=0x8066010)
>     at /build/buildd-glib2.0_2.31.22-1-kfreebsd-i386-ziBjzT/glib2.0-2.31.22/./glib/gthread.c:839
> #6  0x0804a9a8 in test_server_new (in_own_thread=1, ssl=<optimized out>) at test-utils.c:299
> #7  0x08049ac2 in main (argc=2, argv=0xbfbfe694) at context-test.c:391


[1]
http://developer.gnome.org/glib/unstable/glib-Threads.html#g-cond-wait-until

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Thu, 22 Mar 2012 19:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 22 Mar 2012 19:03:08 GMT) Full text and rfc822 format available.

Message #25 received at 663056@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Michael Biebl <biebl@debian.org>, 663056@bugs.debian.org, debian-bsd@lists.debian.org, 662018@bugs.debian.org
Subject: Re: libsoup2.4: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Thu, 22 Mar 2012 19:58:33 +0100
El 20 de març de 2012 21:38, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> Test case with extra debug info:
>
>>         time = g_get_monotonic_time () + 5 * G_TIME_SPAN_SECOND;
>> debug_printf (1, "  g_cond_wait_until %lu\n", time);
>>         if (g_cond_wait_until (&test1_cond, &test1_mutex, time))
>>                 g_thread_join (thread);
>>         else {
>> time = g_get_monotonic_time ();
>> debug_printf (1, "  returned false at %lu\n", time);
>>                 debug_printf (1, "  timeout!\n");
>>                 g_thread_unref (thread);
>>                 errors++;
>>         }

This smells like #662018.

I'll see if I can spend some time on it (this weekend if noone beats me to it).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Thu, 22 Mar 2012 20:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 22 Mar 2012 20:27:09 GMT) Full text and rfc822 format available.

Message #30 received at 663056@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Michael Biebl <biebl@debian.org>, 663056@bugs.debian.org, debian-bsd@lists.debian.org, 662018@bugs.debian.org
Subject: Re: libsoup2.4: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Thu, 22 Mar 2012 21:23:45 +0100
[Message part 1 (text/plain, inline)]
El 22 de març de 2012 19:58, Robert Millan <rmh@debian.org> ha escrit:
> This smells like #662018.
>
> I'll see if I can spend some time on it (this weekend if noone beats me to it).

Please could someone test this?  It's not correct, but it should do the trick.

-- 
Robert Millan
[monotonic.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Fri, 23 Mar 2012 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 23 Mar 2012 01:27:04 GMT) Full text and rfc822 format available.

Message #35 received at 663056@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: Michael Biebl <biebl@debian.org>, 663056@bugs.debian.org, debian-bsd@lists.debian.org, 662018@bugs.debian.org
Subject: Re: libsoup2.4: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Fri, 23 Mar 2012 01:24:10 +0000
On 22/03/12 20:23, Robert Millan wrote:
> Please could someone test this?  It's not correct, but it should do the trick.

Hi,

I don't /think/ it worked.

I didn't have enough disk space to rebuild eglibc entirely.  I built
only libc0.1-i686, with your patch, and replaced only the libpthread
library on my system and re-tested.  The same problem as before.

If I can get a build system set up soon with enough disk space, I'll try
this again properly by rebuilding+installing the whole of eglibc.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Fri, 23 Mar 2012 22:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 23 Mar 2012 22:15:08 GMT) Full text and rfc822 format available.

Message #40 received at 663056@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Michael Biebl <biebl@debian.org>, 663056@bugs.debian.org, debian-bsd@lists.debian.org, 662018@bugs.debian.org
Subject: Re: libsoup2.4: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Fri, 23 Mar 2012 23:13:08 +0100
El 23 de març de 2012 2:24, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> I don't /think/ it worked.
>
> I didn't have enough disk space to rebuild eglibc entirely.  I built
> only libc0.1-i686, with your patch, and replaced only the libpthread
> library on my system and re-tested.  The same problem as before.

Actually it's in librt.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Thu, 05 Apr 2012 19:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 05 Apr 2012 19:51:02 GMT) Full text and rfc822 format available.

Message #45 received at 663056@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Michael Biebl <biebl@debian.org>, 663056@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: libsoup2.4: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Thu, 5 Apr 2012 21:47:00 +0200
El 20 de març de 2012 21:38, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> I've narrowed down the context-test failures to g_cond_wait_until [1]
> returning false without actually waiting until the requested time.

This suggests pthread_cond_timedwait buggyness.  I'll investigate this.

> Under gdb we hit a familiar-looking issue that I'm sure we've seen
> before on kfreebsd:
>
>> Starting program: /tmp/tmp.iqfzT2Ty1x/libsoup2.4-2.37.92/tests/.libs/lt-context-test -d
>>
>> Program received signal ?, Unknown signal.

Actually GDB knows the signal number, it just fails to convert it to
"SIGXXX", which probably means it's one of the signals below SIGRTMIN
that don't have a SIG* macro (i.e. pthread sigrestart, sigcancel,
etc).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Thu, 05 Apr 2012 21:24:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 05 Apr 2012 21:24:56 GMT) Full text and rfc822 format available.

Message #50 received at 663056@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 663056@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Thu, 5 Apr 2012 23:11:51 +0200
clone 663056 -1 -2
retitle -1 confusing g_cond_wait_until() API (and docs) invites to
unintentional abuse
severity -1 normal
reassign -1 libglib2.0-dev
forwarded -1 https://bugzilla.gnome.org/show_bug.cgi?id=673607
retitle -2 optional pthread_condattr_setclock() facility is not implemented
severity -2 wishlist
reassign -2 libc0.1
thanks

The way g_cond_wait_until() is currently defined, libsoup usage of
this function is incorrect.  If you need a short term solution, the
test could be disabled, or it could be rewritten using clock_gettime()
and pthread_cond_timedwait().

Otherwise you can wait until the API is redefined, or until
pthread_condattr_setclock() is implemented in Glibc.

-- 
Robert Millan




Bug 663056 cloned as bugs 667686, 667687 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 21:25:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Thu, 05 Apr 2012 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 05 Apr 2012 23:03:03 GMT) Full text and rfc822 format available.

Message #57 received at 663056@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Michael Biebl <biebl@debian.org>
Cc: 663056@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: libsoup2.4: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Fri, 06 Apr 2012 00:00:45 +0100
Hi,

Just made an observation to be wary of:  connection-test doesn't always
fail.  It actually seems to be about 50-50 for me, on kfreebsd-i386
8.3~svn230343-1 with 4-way SMP.

Example of success:

> steven@kfreebsd-i386:~/libsoup2.4-2.38.0$ tests/connection-test -d
> 
> Invalid Content-Length framing tests
>   Content-Length larger than message body length
>   Server claims 'Connection: close' but doesn't
> 
> Unexpected timing out of persistent connections
>   Async session
>     First message
>     Second message
>   Sync session
>     First message
>     Second message
> 
> Exceeding max-conns
>   Async session
>   Sync session
> 
> Non-persistent connections are closed immediately
>   Async session
>   Sync session
> 
> Non-idempotent methods are always sent on new connections
>   Async session
>   Sync session
> 
> connection-test: OK

Failure on next attempt:

> steven@kfreebsd-i386:~/libsoup2.4-2.38.0$ tests/connection-test -d
> 
> Invalid Content-Length framing tests
>   Content-Length larger than message body length
>   Server claims 'Connection: close' but doesn't
> 
> Unexpected timing out of persistent connections
>   Async session
>     First message
>     Second message
>   Sync session
>     First message
>     Second message
> 
> Exceeding max-conns
>   Async session
>   Sync session
> 
> Non-persistent connections are closed immediately
>   Async session
>   Sync session
> leaked SoupSession!
> 
> Non-idempotent methods are always sent on new connections
>   Async session
> 
> (connection-test:9504): libsoup-CRITICAL **: soup_message_queue_destroy: assertion `queue->head == NULL' failed
>   Sync session
> 
> connection-test: 2 error(s).

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Fri, 06 Apr 2012 01:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 06 Apr 2012 01:57:05 GMT) Full text and rfc822 format available.

Message #62 received at 663056@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 663056@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Fri, 06 Apr 2012 02:53:43 +0100
On 05/04/12 22:11, Robert Millan wrote:
> forwarded -1 https://bugzilla.gnome.org/show_bug.cgi?id=673607

glib2.0 2.32.0-3 with the patch you posted there has fixed libsoup2.4's
context-test for me.  Is that what you expected?

That just leaves the intermittent failures of connection-test.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Fri, 06 Apr 2012 10:09:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 06 Apr 2012 10:09:26 GMT) Full text and rfc822 format available.

Message #67 received at 663056@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Michael Biebl <biebl@debian.org>, 663056@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: libsoup2.4: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Fri, 6 Apr 2012 12:04:12 +0200
El 6 d’abril de 2012 1:00, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> Hi,
>
> Just made an observation to be wary of:  connection-test doesn't always
> fail.  It actually seems to be about 50-50 for me, on kfreebsd-i386
> 8.3~svn230343-1 with 4-way SMP.

That's to be expected.  The test is passing a CLOCK_MONOTONIC time to
a function that expects a CLOCK_REALTIME time.  If it's smaller it
returns inmediately and if it's larger it will wait for a long period
of time and then the timeout is never reached.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Fri, 06 Apr 2012 10:09:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 06 Apr 2012 10:09:31 GMT) Full text and rfc822 format available.

Message #72 received at 663056@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 663056@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Fri, 6 Apr 2012 12:05:09 +0200
El 6 d’abril de 2012 3:53, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> On 05/04/12 22:11, Robert Millan wrote:
>> forwarded -1 https://bugzilla.gnome.org/show_bug.cgi?id=673607
>
> glib2.0 2.32.0-3 with the patch you posted there has fixed libsoup2.4's
> context-test for me.  Is that what you expected?

Yep.

> That just leaves the intermittent failures of connection-test.

Oh, I didn't notice that one.  Maybe I have time to check later.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Sun, 08 Apr 2012 12:31:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 08 Apr 2012 12:31:14 GMT) Full text and rfc822 format available.

Message #77 received at 663056@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 667687@bugs.debian.org
Cc: debian-bsd@lists.debian.org, 667686@bugs.debian.org, 663056@bugs.debian.org
Subject: [PATCH] pthread_condattr_setclock()
Date: Sun, 8 Apr 2012 14:29:20 +0200
[Message part 1 (text/plain, inline)]
tags 667687 patch
thanks

Hi,

Here is a patch to implement pthread_condattr_setclock() and
pthread_condattr_getclock().

It passes:

- glibc testsuite
- glib2.0 testsuite
- libsoup2.4 testsuite

Please consider including it with next upload.

Note: as for #667686 and #663056, this palliates their effect (as it
makes the problem go away on GNU/kFreeBSD) but doesn't fix them.  It's
possible that they pop up again in the future (e.g. when GNU/Hurd
implements CLOCK_MONOTONIC).

-- 
Robert Millan
[setclock.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Sun, 08 Apr 2012 17:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 08 Apr 2012 17:57:06 GMT) Full text and rfc822 format available.

Message #82 received at 663056@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 663056@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#663056: FTBFS on kfreebsd-*: test-suite FAIL: context-test
Date: Sun, 08 Apr 2012 18:52:34 +0100
found 663056 libsoup2.4/2.38.0
blocks 663056 by 667687
thanks

Hi,

I can confirm the eglibc patch in http://bugs.debian.org/663056#77 fixes
test/context-test for me on kfreebsd-i386.

But there is still an issue with libsoup2.4's tests/connection-test
failing 25% of the time on my system, with:

> (connection-test:84455): libsoup-CRITICAL **: soup_message_queue_destroy: assertion `queue->head == NULL' failed
> 
> Invalid Content-Length framing tests
>   Content-Length larger than message body length
>   Server claims 'Connection: close' but doesn't
> 
> Unexpected timing out of persistent connections
>   Async session
>     First message
>     Second message
>   Sync session
>     First message
>     Second message
> 
> Exceeding max-conns
>   Async session
>   Sync session
> 
> Non-persistent connections are closed immediately
>   Async session
>   Sync session
> leaked SoupSession!
> 
> Non-idempotent methods are always sent on new connections
>   Async session
>   Sync session
> 
> connection-test: 2 error(s).

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Marked as found in versions libsoup2.4/2.38.0. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 17:57:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions libsoup2.4/2.38.0. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 18:09:07 GMT) Full text and rfc822 format available.

Marked as found in versions libsoup2.4/2.38.0-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 08 Apr 2012 18:09:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 663056: 667687 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 12 Apr 2012 18:09:03 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 14:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Thu, 19 Apr 2012 19:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 19:54:07 GMT) Full text and rfc822 format available.

Message #97 received at 663056@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 654783@bugs.debian.org, debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 663056@bugs.debian.org
Subject: Re: Bug#654783: race condition in libpthread causes hangs in python2.7 testsuite
Date: Thu, 19 Apr 2012 21:51:38 +0200
CCing #663056

El 19 d’abril de 2012 1:12, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> For now I still have Petr's change applied.  I notice that libsoup2.4's
> connection-test (see #663056) has stopped failing.  (Just had 100/100
> test passes, was previously seeing about 50% failures.)

Are you sure?  You mean you tried 100 times?

I don't know about connection-test, but context-test was a race
condition.  I'm also 100% sure Petr's change doesn't fix that (the
reason for connection-test failure is well-known).

After fixing context-test I got a connection-test pass, but I only
tried once (at that time I assumed it was the same issue as
context-test).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Thu, 19 Apr 2012 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Thu, 19 Apr 2012 21:03:04 GMT) Full text and rfc822 format available.

Message #102 received at 663056@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 654783@bugs.debian.org, debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 663056@bugs.debian.org
Subject: Re: Bug#654783: race condition in libpthread causes hangs in python2.7 testsuite
Date: Thu, 19 Apr 2012 21:58:44 +0100
On 19/04/12 20:51, Robert Millan wrote:
> CCing #663056
> 
> El 19 d’abril de 2012 1:12, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
>> For now I still have Petr's change applied.  I notice that libsoup2.4's
>> connection-test (see #663056) has stopped failing.  (Just had 100/100
>> test passes, was previously seeing about 50% failures.)
> 
> Are you sure?  You mean you tried 100 times?

It passed 100 times in a row.  And another 100 times just now.  I'm not
sure that Petr's patch is what really fixed it, but I can try to narrow
it down.

You say the cause was well-known...?

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#663056; Package src:libsoup2.4. (Tue, 12 Jun 2012 00:00:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 12 Jun 2012 00:00:40 GMT) Full text and rfc822 format available.

Message #107 received at 663056@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 663056@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Bug#663056: [kfreebsd-*] test failure: context-test
Date: Tue, 12 Jun 2012 00:59:45 +0100
retitle 663056 [kfreebsd-*] test failure: context-test
thanks

Hi,

Just to review/clarify this bug, libsoup2.4 no longer FTBFS on
kfreebsd-* because test failures are ignored (therefore adjusting the
title).

connection-test was previously failing, but at least on kfreebsd-i386 it
seems fixed (since April time).

context-test still fails (always, on my system, and in buildd logs too).

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Changed Bug title to '[kfreebsd-*] test failure: context-test' from 'FTBFS on kfreebsd-*: test-suite FAIL: context-test' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Tue, 12 Jun 2012 00:03:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:08:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.